Index: trunk/reports/inc/class.uireports_maillists.inc.php
===================================================================
--- trunk/reports/inc/class.uireports_maillists.inc.php	(revision 7655)
+++ trunk/reports/inc/class.uireports_maillists.inc.php	(revision 7681)
@@ -65,9 +65,9 @@
 			}
 
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
 
-			$setordn = trim($_POST[setordn]);
-			$subtitulo1 = trim($_POST[subtitulo]);
+			$setordn = trim($_POST['setordn']);
+			$subtitulo1 = trim($_POST['subtitulo']);
 
 			define('FPDF_FONTPATH','font/');
@@ -300,11 +300,11 @@
 		function report_maillists_group_print()
 		{
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
-			$organizacao = trim($_POST[organizacao]);
-			$setordn = trim($_POST[setordn]);
-			$organizacaodn = trim($_POST[organizacaodn]);
-			$sectornamedncompleto = trim($_POST[sectornamedncompleto]);
-			$Psectornamedncompleto = trim($_POST[Psectornamedncompleto]);
+			$organizacao = trim($_POST['organizacao']);
+			$setordn = trim($_POST['setordn']);
+			$organizacaodn = trim($_POST['organizacaodn']);
+			$sectornamedncompleto = trim($_POST['sectornamedncompleto']);
+			$Psectornamedncompleto = trim($_POST['Psectornamedncompleto']);
 
 			if ($sectornamedncompleto=="" && $Psectornamedncompleto=="")
@@ -385,5 +385,5 @@
 
 				// **** Grupo de paginas ****
-				$gpag = $_POST[gpage];
+				$gpag = $_POST['gpage'];
 
 				$grupopage = 20;
@@ -394,5 +394,5 @@
 
 				// recebe o numero da pagina
-				$npag = $_POST[page];
+				$npag = $_POST['page'];
 
 				// verifica se o get com o numero da pagina é nulo
Index: trunk/reports/inc/class.uireports_users.inc.php
===================================================================
--- trunk/reports/inc/class.uireports_users.inc.php	(revision 7655)
+++ trunk/reports/inc/class.uireports_users.inc.php	(revision 7681)
@@ -65,9 +65,9 @@
 			}
 
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
 
-			$setordn = trim($_POST[setordn]);
-			$subtitulo1 = trim($_POST[subtitulo]);
+			$setordn = trim($_POST['setordn']);
+			$subtitulo1 = trim($_POST['subtitulo']);
 
 			define('FPDF_FONTPATH','font/');
@@ -318,11 +318,11 @@
 		function report_users_group_setor_print()
 		{
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
-			$organizacao = trim($_POST[organizacao]);
-			$setordn = trim($_POST[setordn]);
-			$organizacaodn = trim($_POST[organizacaodn]);
-			$sectornamedncompleto = trim($_POST[sectornamedncompleto]);
-			$Psectornamedncompleto = trim($_POST[Psectornamedncompleto]);
+			$organizacao = trim($_POST['organizacao']);
+			$setordn = trim($_POST['setordn']);
+			$organizacaodn = trim($_POST['organizacaodn']);
+			$sectornamedncompleto = trim($_POST['sectornamedncompleto']);
+			$Psectornamedncompleto = trim($_POST['Psectornamedncompleto']);
 
 			if ($sectornamedncompleto=="" && $Psectornamedncompleto=="")
@@ -403,5 +403,5 @@
 
 				// **** Grupo de paginas ****
-				$gpag = $_POST[gpage];
+				$gpag = $_POST['gpage'];
 
 				$grupopage = 20;
@@ -412,5 +412,5 @@
 
 				// recebe o numero da pagina
-				$npag = $_POST[page];
+				$npag = $_POST['page'];
 
 				// verifica se o get com o numero da pagina é nulo
Index: trunk/reports/inc/class.uireports_usersgroups.inc.php
===================================================================
--- trunk/reports/inc/class.uireports_usersgroups.inc.php	(revision 7655)
+++ trunk/reports/inc/class.uireports_usersgroups.inc.php	(revision 7681)
@@ -65,9 +65,9 @@
 			}
 
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
 
-			$setordn = trim($_POST[setordn]);
-			$subtitulo1 = trim($_POST[subtitulo]);
+			$setordn = trim($_POST['setordn']);
+			$subtitulo1 = trim($_POST['subtitulo']);
 
 			define('FPDF_FONTPATH','font/');
@@ -297,11 +297,11 @@
 		function report_usersgroups_group_print()
 		{
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
-			$organizacao = trim($_POST[organizacao]);
-			$setordn = trim($_POST[setordn]);
-			$organizacaodn = trim($_POST[organizacaodn]);
-			$sectornamedncompleto = trim($_POST[sectornamedncompleto]);
-			$Psectornamedncompleto = trim($_POST[Psectornamedncompleto]);
+			$organizacao = trim($_POST['organizacao']);
+			$setordn = trim($_POST['setordn']);
+			$organizacaodn = trim($_POST['organizacaodn']);
+			$sectornamedncompleto = trim($_POST['sectornamedncompleto']);
+			$Psectornamedncompleto = trim($_POST['Psectornamedncompleto']);
 
 			if ($sectornamedncompleto=="" && $Psectornamedncompleto=="")
@@ -382,5 +382,5 @@
 
 				// **** Grupo de paginas ****
-				$gpag = $_POST[gpage];
+				$gpag = $_POST['gpage'];
 
 				$grupopage = 20;
@@ -391,5 +391,5 @@
 
 				// recebe o numero da pagina
-				$npag = $_POST[page];
+				$npag = $_POST['page'];
 
 				// verifica se o get com o numero da pagina é nulo
Index: trunk/reports/inc/class.uireports_shareAccounts.inc.php
===================================================================
--- trunk/reports/inc/class.uireports_shareAccounts.inc.php	(revision 7655)
+++ trunk/reports/inc/class.uireports_shareAccounts.inc.php	(revision 7681)
@@ -67,9 +67,9 @@
 			}
 
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
 
-			$setordn = trim($_POST[setordn]);
-			$subtitulo1 = trim($_POST[subtitulo]);
+			$setordn = trim($_POST['setordn']);
+			$subtitulo1 = trim($_POST['subtitulo']);
 
 			define('FPDF_FONTPATH','font/');
@@ -329,11 +329,11 @@
 		function report_shareAccounts_group_setor_print()
 		{
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
-			$organizacao = trim($_POST[organizacao]);
-			$setordn = trim($_POST[setordn]);
-			$organizacaodn = trim($_POST[organizacaodn]);
-			$sectornamedncompleto = trim($_POST[sectornamedncompleto]);
-			$Psectornamedncompleto = trim($_POST[Psectornamedncompleto]);
+			$organizacao = trim($_POST['organizacao']);
+			$setordn = trim($_POST['setordn']);
+			$organizacaodn = trim($_POST['organizacaodn']);
+			$sectornamedncompleto = trim($_POST['sectornamedncompleto']);
+			$Psectornamedncompleto = trim($_POST['Psectornamedncompleto']);
 
 			if ($sectornamedncompleto=="" && $Psectornamedncompleto=="")
@@ -414,5 +414,5 @@
 
 				// **** Grupo de paginas ****
-				$gpag = $_POST[gpage];
+				$gpag = $_POST['gpage'];
 
 				$grupopage = 20;
@@ -423,5 +423,5 @@
 
 				// recebe o numero da pagina
-				$npag = $_POST[page];
+				$npag = $_POST['page'];
 
 				// verifica se o get com o numero da pagina é nulo
Index: trunk/reports/inc/class.uireports_institutionalAccounts.inc.php
===================================================================
--- trunk/reports/inc/class.uireports_institutionalAccounts.inc.php	(revision 7655)
+++ trunk/reports/inc/class.uireports_institutionalAccounts.inc.php	(revision 7681)
@@ -65,9 +65,9 @@
 			}
 
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
 
-			$setordn = trim($_POST[setordn]);
-			$subtitulo1 = trim($_POST[subtitulo]);
+			$setordn = trim($_POST['setordn']);
+			$subtitulo1 = trim($_POST['subtitulo']);
 
 			define('FPDF_FONTPATH','font/');
@@ -324,11 +324,11 @@
 		function report_institutionalAccounts_group_setor_print()
 		{
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
-			$organizacao = trim($_POST[organizacao]);
-			$setordn = trim($_POST[setordn]);
-			$organizacaodn = trim($_POST[organizacaodn]);
-			$sectornamedncompleto = trim($_POST[sectornamedncompleto]);
-			$Psectornamedncompleto = trim($_POST[Psectornamedncompleto]);
+			$organizacao = trim($_POST['organizacao']);
+			$setordn = trim($_POST['setordn']);
+			$organizacaodn = trim($_POST['organizacaodn']);
+			$sectornamedncompleto = trim($_POST['sectornamedncompleto']);
+			$Psectornamedncompleto = trim($_POST['Psectornamedncompleto']);
 
 			if ($sectornamedncompleto=="" && $Psectornamedncompleto=="")
@@ -409,5 +409,5 @@
 
 				// **** Grupo de paginas ****
-				$gpag = $_POST[gpage];
+				$gpag = $_POST['gpage'];
 
 				$grupopage = 20;
@@ -418,5 +418,5 @@
 
 				// recebe o numero da pagina
-				$npag = $_POST[page];
+				$npag = $_POST['page'];
 
 				// verifica se o get com o numero da pagina é nulo
Index: trunk/reports/inc/class.uireports_logon.inc.php
===================================================================
--- trunk/reports/inc/class.uireports_logon.inc.php	(revision 7655)
+++ trunk/reports/inc/class.uireports_logon.inc.php	(revision 7681)
@@ -66,11 +66,11 @@
 			}
 
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
 
-			$setordn = trim($_POST[setordn]);
-			$subtitulo1 = trim($_POST[subtitulo]);
-			
-			$vnumacesso = trim($_POST[nacesso]);
+			$setordn = trim($_POST['setordn']);
+			$subtitulo1 = trim($_POST['subtitulo']);
+			
+			$vnumacesso = trim($_POST['nacesso']);
 			$numacesso = abs(round($vnumacesso));
 
@@ -401,11 +401,11 @@
 			}
 
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
-			$organizacao = trim($_POST[organizacao]);
-			$setordn = trim($_POST[setordn]);
-			$organizacaodn = trim($_POST[organizacaodn]);
-			$sectornamedncompleto = trim($_POST[sectornamedncompleto]);
-			$Psectornamedncompleto = trim($_POST[Psectornamedncompleto]);
+			$organizacao = trim($_POST['organizacao']);
+			$setordn = trim($_POST['setordn']);
+			$organizacaodn = trim($_POST['organizacaodn']);
+			$sectornamedncompleto = trim($_POST['sectornamedncompleto']);
+			$Psectornamedncompleto = trim($_POST['Psectornamedncompleto']);
 
 			if ($sectornamedncompleto=="" && $Psectornamedncompleto=="")
@@ -485,5 +485,5 @@
 	
 					// **** Grupo de paginas ****
-					$gpag = $_POST[gpage];
+					$gpag = $_POST['gpage'];
 	
 					$grupopage = 20;
@@ -494,5 +494,5 @@
 	
 					// recebe o numero da pagina
-					$npag = $_POST[page];
+					$npag = $_POST['page'];
 	
 					// verifica se o get com o numero da pagina é nulo
Index: trunk/reports/inc/class.uireports_cota.inc.php
===================================================================
--- trunk/reports/inc/class.uireports_cota.inc.php	(revision 7655)
+++ trunk/reports/inc/class.uireports_cota.inc.php	(revision 7681)
@@ -203,11 +203,11 @@
 		function report_cota_group_setor_print()
 		{
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
-			$organizacao = trim($_POST[organizacao]);
-			$setordn = trim($_POST[setordn]);
-			$organizacaodn = trim($_POST[organizacaodn]);
-			$sectornamedncompleto = trim($_POST[sectornamedncompleto]);
-			$Psectornamedncompleto = trim($_POST[Psectornamedncompleto]);			
+			$organizacao = trim($_POST['organizacao']);
+			$setordn = trim($_POST['setordn']);
+			$organizacaodn = trim($_POST['organizacaodn']);
+			$sectornamedncompleto = trim($_POST['sectornamedncompleto']);
+			$Psectornamedncompleto = trim($_POST['Psectornamedncompleto']);
 
 			if ($sectornamedncompleto=="" && $Psectornamedncompleto=="")
@@ -289,5 +289,5 @@
 
 				// **** Grupo de paginas ****
-				$gpag = $_POST[gpage];
+				$gpag = $_POST['gpage'];
 
 				$grupopage = 20;
@@ -298,5 +298,5 @@
 
 				// recebe o numero da pagina
-				$npag = $_POST[page];
+				$npag = $_POST['page'];
 
 				// verifica se o get com o numero da pagina é nulo
@@ -512,9 +512,9 @@
 			}
 
-			$grouplist = trim($_POST[setor]);
+			$grouplist = trim($_POST['setor']);
 			$grouplist = trim(ereg_replace("-","",$grouplist));
 
-			$setordn = trim($_POST[setordn]);
-			$subtitulo1 = trim($_POST[subtitulo]);
+			$setordn = trim($_POST['setordn']);
+			$subtitulo1 = trim($_POST['subtitulo']);
 			
 			define('FPDF_FONTPATH','font/');
Index: trunk/reports/inc/class.functions.inc.php
===================================================================
--- trunk/reports/inc/class.functions.inc.php	(revision 7655)
+++ trunk/reports/inc/class.functions.inc.php	(revision 7681)
@@ -58,48 +58,48 @@
 			{
 				case list_users:
-					if ($array_acl[acl_add_users] || $array_acl[acl_edit_users] || $array_acl[acl_delete_users] || $array_acl[acl_change_users_password] || $array_acl[acl_change_users_quote] || $array_acl[acl_edit_sambausers_attributes] || $array_acl[acl_view_users] || $array_acl[acl_manipulate_corporative_information] || $array_acl[acl_edit_users_phonenumber] )
+					if ($array_acl['acl_add_users'] || $array_acl['acl_edit_users'] || $array_acl['acl_delete_users'] || $array_acl['acl_change_users_password'] || $array_acl['acl_change_users_quote'] || $array_acl['acl_edit_sambausers_attributes'] || $array_acl['acl_view_users'] || $array_acl['acl_manipulate_corporative_information'] || $array_acl['acl_edit_users_phonenumber'] )
 						return true;
 					break;
 				case report_users:
-					if ($array_acl[acl_change_users_quote] || $array_acl[acl_view_users])
+					if ($array_acl['acl_change_users_quote'] || $array_acl['acl_view_users'])
 						return true;
 					break;
 				case list_groups:
-					if ($array_acl[acl_add_groups] || $array_acl[acl_edit_groups] || $array_acl[acl_delete_groups])
+					if ($array_acl['acl_add_groups'] || $array_acl['acl_edit_groups'] || $array_acl['acl_delete_groups'])
 						return true;
 					break;
 				case list_maillists:
-					if ($array_acl[acl_add_maillists] || $array_acl[acl_edit_maillists] || $array_acl[acl_delete_maillists])
+					if ($array_acl['acl_add_maillists'] || $array_acl['acl_edit_maillists'] || $array_acl['acl_delete_maillists'])
 						return true;
 					break;
 				case list_sectors:
 //					if ($array_acl[acl_create_sectors] || $array_acl[acl_edit_sectors] || $array_acl[acl_delete_sectors])
-					if ($array_acl[acl_view_users])
+					if ($array_acl['acl_view_users'])
 						return true;
 					break;
 				case list_computers:
-					if ($array_acl[acl_create_computers] || $array_acl[acl_edit_computers] || $array_acl[acl_delete_computers])
+					if ($array_acl['acl_create_computers'] || $array_acl['acl_edit_computers'] || $array_acl['acl_delete_computers'])
 						return true;
 					break;
 
 				case display_groups:
-					if ( $array_acl[acl_edit_users] || $array_acl[acl_view_users] || ($array_acl[acl_edit_sambausers_attributes] && ($this->current_config['expressoAdmin_samba_support'] == 'true')) )
+					if ( $array_acl['acl_edit_users'] || $array_acl['acl_view_users'] || ($array_acl['acl_edit_sambausers_attributes'] && ($this->current_config['expressoAdmin_samba_support'] == 'true')) )
 						return true;
 					break;
 				case display_emailconfig:
-					if ($array_acl[acl_edit_users] || $array_acl[acl_view_users])
+					if ($array_acl['acl_edit_users'] || $array_acl['acl_view_users'])
 						return true;
 					break;
 				case display_applications:
-					if ($array_acl[acl_edit_users] || $array_acl[acl_view_users])
+					if ($array_acl['acl_edit_users'] || $array_acl['acl_view_users'])
 						return true;
 					break;
 				case display_emaillists:
-					if ($array_acl[acl_edit_users] || $array_acl[acl_view_users])
+					if ($array_acl['acl_edit_users'] || $array_acl['acl_view_users'])
 						return true;
 					break;
 
 				case list_institutional_accounts:
-					if ($array_acl[acl_add_institutional_accounts] || $array_acl[acl_edit_institutional_accounts] || $array_acl[acl_delete_institutional_accounts])
+					if ($array_acl['acl_add_institutional_accounts'] || $array_acl['acl_edit_institutional_accounts'] || $array_acl['acl_delete_institutional_accounts'])
 						return true;
 					break;