Index: /trunk/INSTALL/arquivos/expresso.dump
===================================================================
--- /trunk/INSTALL/arquivos/expresso.dump	(revision 7630)
+++ /trunk/INSTALL/arquivos/expresso.dump	(revision 7703)
@@ -17412,5 +17412,5 @@
 pt-br	expressoMail1_2	archive in folder	Arquivar na pasta
 pt-br	expressoMail1_2	move to trash	Mover para a Lixeira
-pt-br	expressoMail1_2	reply with a message automatically	Responder com uma mensagem automaticamente
+pt-br	expressoMail1_2	reject and automatically respond with the message	Rejeitar e responder automaticamente, com a mensagem
 pt-br	expressoMail1_2	type a reply message	Digite uma mensagem de resposta
 pt-br	expressoMail1_2	all messages will be answered automatically with the message indicated.	Todas as mensagens serão respondidas automaticamente com a mensagem indicada.
Index: /trunk/prototype/modules/filters/filters.js
===================================================================
--- /trunk/prototype/modules/filters/filters.js	(revision 7635)
+++ /trunk/prototype/modules/filters/filters.js	(revision 7703)
@@ -244,5 +244,8 @@
 			actions.siblings('[name="addressRedirect"]').val(filter.actions[i].parameter);
 		if(filter.actions[i].type == "reject")
-			actions.siblings('[name="messageReject"]').val(filter.actions[i].parameter);
+        {
+            actions.siblings('[name="messageReject"]').val(filter.actions[i].parameter);
+            $('.ui-widget-content .fileintoInbox ').attr('checked', false).parent().addClass(' hidden');
+        }
 		if((filter.actions[i].type == "fileinto" && first_fileinto_action) || filter.actions[i].type == "setflag"){
 			actions.parent().find('[value="'+filter.actions[i].parameter+'"]').attr("selected", "selected");
Index: /trunk/prototype/modules/filters/edit-filter.ejs
===================================================================
--- /trunk/prototype/modules/filters/edit-filter.ejs	(revision 7081)
+++ /trunk/prototype/modules/filters/edit-filter.ejs	(revision 7703)
@@ -109,5 +109,5 @@
 			</ul>
 			<fieldset class="select-folderlist">
-				<input type="radio" name="actionType[]" value="fileinto" checked="checked" onchange="$('.ui-widget-content :checkbox').parent().removeClass(' hidden');"/>
+				<input type="radio" name="actionType[]" value="fileinto" checked="checked" onchange="$('.ui-widget-content .fileintoInbox').parent().removeClass(' hidden');"/>
 				<label><%= get_lang("Archive in folder")%></label>
 				<!-- 
@@ -132,10 +132,10 @@
 			</fieldset>
 			<fieldset>
-				<input type="radio" name="actionType[]" value="redirect" onchange="$('.ui-widget-content :checkbox').parent().removeClass(' hidden');"/>
+				<input type="radio" name="actionType[]" value="redirect" onchange="$('.ui-widget-content .fileintoInbox').parent().removeClass(' hidden');"/>
 				<label><%= get_lang("Forward to the address")%></label>
 				<input type="text" name="addressRedirect" />
 			</fieldset>
 			<fieldset>
-				<input type="radio" name="actionType[]" value="setflag" onchange="$('.ui-widget-content :checkbox').parent().removeClass(' hidden');"/>
+				<input type="radio" name="actionType[]" value="setflag" onchange="$('.ui-widget-content .fileintoInbox').parent().removeClass(' hidden');"/>
 				<label><%= get_lang("Mark as")%></label>
 				<!--
@@ -148,11 +148,11 @@
 			</fieldset>
 			<fieldset>
-				<input type="radio" name="actionType[]" value="fileintoTrash" onchange="$('.ui-widget-content :checkbox').parent().removeClass(' hidden');"/>
+				<input type="radio" name="actionType[]" value="fileintoTrash" onchange="$('.ui-widget-content .fileintoInbox').parent().removeClass(' hidden');"/>
 				<label><%= get_lang("Trash")%></label>
 				<input type="hidden" name="actionParameter[]" value="Trash"/>
 			</fieldset>
 			<fieldset class="fields-replyto">
-				<input type="radio" name="actionType[]" value="reject" onchange="$('.ui-widget-content :checkbox').parent().addClass(' hidden');"/>
-				<label><%= get_lang("Reply with a message automatically")%></label>
+				<input type="radio" name="actionType[]" value="reject" onchange="$('.ui-widget-content .fileintoInbox').attr('checked', false).parent().addClass(' hidden');"/>
+				<label><%= get_lang("Reject and automatically respond with the message")%></label>
 				<textarea name="messageReject"></textarea>
 			</fieldset>
Index: /trunk/expressoMail1_2/setup/phpgw_pt-br.lang
===================================================================
--- /trunk/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 7666)
+++ /trunk/expressoMail1_2/setup/phpgw_pt-br.lang	(revision 7703)
@@ -890,5 +890,5 @@
 Archive in folder	expressoMail1_2	pt-br	Arquivar na pasta
 Move to Trash	expressoMail1_2	pt-br	Mover para a Lixeira
-Reply with a message automatically	expressoMail1_2	pt-br	Responder com uma mensagem automaticamente
+Reject and automatically respond with the message	expressoMail1_2	pt-br	Rejeitar e responder automaticamente, com a mensagem
 Type a reply message	expressoMail1_2	pt-br	Digite uma mensagem de resposta
 All messages will be answered automatically with the message indicated.	expressoMail1_2	pt-br	Todas as mensagens serão respondidas automaticamente com a mensagem indicada.