Index: /trunk/phpgwapi/inc/class.contacts_ldap.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.contacts_ldap.inc.php	(revision 7673)
+++ /trunk/phpgwapi/inc/class.contacts_ldap.inc.php	(revision 7712)
@@ -328,6 +328,5 @@
 				{
 					$i=0;
-                    $filterarray_count = count($filterarray);
-					for($i=0;$i<$filterarray_count;++$i)
+					for($i=0;$i<count($filterarray);++$i)
 					{
 						list($name,$value) = preg_split('/=/',$filterarray[$i]);
Index: /trunk/phpgwapi/inc/class.categories.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.categories.inc.php	(revision 7673)
+++ /trunk/phpgwapi/inc/class.categories.inc.php	(revision 7712)
@@ -422,6 +422,5 @@
 			if($self)
 			{
-                $cats_count = count($cats);
-				for ($i=0;$i<$cats_count;++$i)
+				for ($i=0;$i<count($cats);++$i)
 				{
 					if ($cats[$i]['id'] == $self)
Index: /trunk/library/csstidy/class.csstidy_optimise.php
===================================================================
--- /trunk/library/csstidy/class.csstidy_optimise.php	(revision 7673)
+++ /trunk/library/csstidy/class.csstidy_optimise.php	(revision 7712)
@@ -302,6 +302,5 @@
             $color_tmp = substr($color,4,strlen($color)-5);
             $color_tmp = explode(',',$color_tmp);
-            $color_tmp_count = count($color_tmp);
-            for ( $i = 0; $i < $color_tmp_count; ++$i )
+            for ( $i = 0; $i < count($color_tmp); ++$i )
             {
                 $color_tmp[$i] = trim ($color_tmp[$i]);
Index: /trunk/filemanager/inc/class.notifications.inc.php
===================================================================
--- /trunk/filemanager/inc/class.notifications.inc.php	(revision 7673)
+++ /trunk/filemanager/inc/class.notifications.inc.php	(revision 7712)
@@ -111,6 +111,5 @@
 			$email_to = explode( ",", $result[0]['email_to'] );
 
-            $email_to_count = count($email_to);
-			for( $i = 0 ; $i < $email_to_count; ++$i )
+			for( $i = 0 ; $i < count($email_to); ++$i )
 			{
 				if($email_to[$i] == $emailTo)
Index: /trunk/prototype/services/ImapServiceAdapter.php
===================================================================
--- /trunk/prototype/services/ImapServiceAdapter.php	(revision 7673)
+++ /trunk/prototype/services/ImapServiceAdapter.php	(revision 7712)
@@ -171,6 +171,5 @@
 					if( $filter[0] !== 'msgNumber' )
 					{
-                        $filter_count = count($filter);
-                        for( $i = 0; $i < $filter_count; ++$i )
+                        for( $i = 0; $i < count($filter); ++$i )
                         {
                             if( count( $filter[$i] ) === 4 )
@@ -214,6 +213,6 @@
 
 				$response = array( "page" => $page, "total" => $total_pages, "records" => $count );
-				$result_count = count($result);
-				for ($i=0; $i<$result_count; ++$i)
+
+				for ($i=0; $i<count($result); ++$i)
 				{
 					$flags_enum = array('Unseen'=> 1,  'Answered'=> 1, 'Forwarded'=> 1, 'Flagged'=> 1, 'Recent'=> 1, 'Draft'=> 1 ); 
Index: /trunk/prototype/modules/filters/interceptors/FilterMapping.php
===================================================================
--- /trunk/prototype/modules/filters/interceptors/FilterMapping.php	(revision 7689)
+++ /trunk/prototype/modules/filters/interceptors/FilterMapping.php	(revision 7712)
@@ -304,4 +304,10 @@
 		$script_begin = "#Filtro gerado por Expresso Livre\r\n\r\n";
 		$content = $script_begin . $script_header . $script_rules . "\r\n\r\n#PseudoScript#" . "\r\n#" . $json_data;
+				
+ob_start();
+//print_r('oi');
+print_r($content);
+$output = ob_get_clean();
+file_put_contents( "/tmp/log-douglasz.log", $output , FILE_APPEND);
 		
 		return( $content );
Index: /trunk/calendar/inc/class.bocalendar.inc.php
===================================================================
--- /trunk/calendar/inc/class.bocalendar.inc.php	(revision 7681)
+++ /trunk/calendar/inc/class.bocalendar.inc.php	(revision 7712)
@@ -2870,6 +2870,5 @@
 
 			//verifica se todos os participantes rejeitaram o evento
-            $sts_count = count($sts);
-			for($i = 0; $i < $sts_count; ++$i ){
+			for($i = 0; $i < count($sts); ++$i ){
 				if( $sts[i] === "R")
 					unset( $sts[i] );
Index: /trunk/calendar/inc/class.uicalendar.inc.php
===================================================================
--- /trunk/calendar/inc/class.uicalendar.inc.php	(revision 7673)
+++ /trunk/calendar/inc/class.uicalendar.inc.php	(revision 7712)
@@ -5755,6 +5755,5 @@
 			if ($control_data['action'] == lang('Delete selected contacts'))
 			{
-                $control_data_count = count($control_data['delete']);
-				for ($i=0; $i<$control_data_count; ++$i)
+				for ($i=0; $i<count($control_data['delete']); ++$i)
 				{
 					$id = $control_data['delete'][$i];
Index: /trunk/calendar/inc/class.boholiday.inc.php
===================================================================
--- /trunk/calendar/inc/class.boholiday.inc.php	(revision 7673)
+++ /trunk/calendar/inc/class.boholiday.inc.php	(revision 7712)
@@ -387,6 +387,5 @@
 
 			$temp_locale = $GLOBALS['phpgw_info']['user']['preferences']['common']['country'];
-            $holidays_count = count($holidays);
-			for($i=0;$i<$holidays_count;++$i)
+			for($i=0;$i<count($holidays);++$i)
 			{
 				$c = $i;
Index: /trunk/workflow/inc/class.so_orgchart.inc.php
===================================================================
--- /trunk/workflow/inc/class.so_orgchart.inc.php	(revision 7673)
+++ /trunk/workflow/inc/class.so_orgchart.inc.php	(revision 7712)
@@ -152,6 +152,6 @@
 
 		$output = $result->GetArray(-1);
-        $output_count = count($output);
-		for ($i = 0; $i < $output_count; ++$i)
+
+		for ($i = 0; $i < count($output); ++$i)
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
@@ -386,6 +386,6 @@
 
 		$output = $result->GetArray(-1);
-        $output_count = count($output);
-		for ($i = 0; $i < $output_count; ++$i)
+
+		for ($i = 0; $i < count($output); ++$i)
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
@@ -464,6 +464,6 @@
 
 		$output = $result->GetArray(-1);
-        $output_count = count($output);
-		for ($i = 0; $i < $output_count; ++$i)
+
+		for ($i = 0; $i < count($output); ++$i)
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
@@ -544,6 +544,6 @@
 
 		$output = $result->GetArray(-1);
-        $output_count = count($output);
-		for ($i = 0; $i < $output_count; ++$i)
+
+		for ($i = 0; $i < count($output); ++$i)
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
@@ -627,6 +627,6 @@
 
 		$output = $result->GetArray(-1);
-        $output_count = count($output);
-		for ($i = 0; $i < $output_count; ++$i){
+
+		for ($i = 0; $i < count($output); ++$i){
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
@@ -796,6 +796,6 @@
 
 		$output = $result->GetArray(-1);
-        $output_count = count($output);
-		for ($i = 0; $i < $output_count; ++$i)
+
+		for ($i = 0; $i < count($output); ++$i)
 		{
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
@@ -1010,6 +1010,6 @@
 
 		$output = $result->GetArray(-1);
-        $output_count = count($output);
-		for ($i = 0; $i < $output_count; ++$i)
+
+		for ($i = 0; $i < count($output); ++$i)
 		{
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
@@ -1392,6 +1392,6 @@
 
 		$output = $result->GetArray(-1);
-        $output_count = count($output);
-		for ($i = 0; $i < $output_count; ++$i)
+
+		for ($i = 0; $i < count($output); ++$i)
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
@@ -1595,6 +1595,6 @@
 
 		$output = $result->GetArray(-1);
-        $output_count = count($output);
-		for ($i = 0; $i < $output_count; ++$i) {
+
+		for ($i = 0; $i < count($output); ++$i) {
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
Index: /trunk/workflow/inc/class.so_userinterface.inc.php
===================================================================
--- /trunk/workflow/inc/class.so_userinterface.inc.php	(revision 7673)
+++ /trunk/workflow/inc/class.so_userinterface.inc.php	(revision 7712)
@@ -123,6 +123,5 @@
 
 			/* keep only associative elments and check if the user can access an intranet application */
-            $preOutput_count = count($preOutput);
-			for ($i = 0; $i < $preOutput_count; ++$i)
+			for ($i = 0; $i < count($preOutput); ++$i)
 			{
 				if (($preOutput[$i]['intranet_only'] == '1') && (!$showIntranetApplications))
@@ -170,6 +169,6 @@
 
 		$output = $result->GetArray(-1);
-        $output_count = count($output);
-		for ($i = 0; $i < $output_count; ++$i)
+
+		for ($i = 0; $i < count($output); ++$i)
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
@@ -198,6 +197,6 @@
 
 		$output = $result->GetArray(-1);
-        $output_count = count($output);
-		for ($i = 0; $i < $output_count; ++$i)
+
+		for ($i = 0; $i < count($output); ++$i)
 		{
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
@@ -221,6 +220,6 @@
 
 		$output = $result->GetArray(-1);
-        $output_count = count($output);
-		for ($i = 0; $i < $output_count; ++$i)
+
+		for ($i = 0; $i < count($output); ++$i)
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
@@ -300,6 +299,6 @@
 		$cachedLDAP->setOperationMode($cachedLDAP->OPERATION_MODE_NORMAL);
 		$categoriesCount = array();
-        $employees_count = count($employees);
-		for ($i = 0; $i < $employees_count; ++$i)
+
+		for ($i = 0; $i < count($employees); ++$i)
 		{
 			/* remove numeric fields */
@@ -401,6 +400,6 @@
 		$cachedLDAP = Factory::newInstance('CachedLDAP');
 		$cachedLDAP->setOperationMode($cachedLDAP->OPERATION_MODE_NORMAL);
-        $employees_count = count($employees);
-		for ($i = 0; $i < $employees_count; ++$i)
+
+		for ($i = 0; $i < ount($employees); ++$i)
 		{
 			/* remove numeric fields */
@@ -718,6 +717,6 @@
 
 		$output = $result->GetArray(-1);
-        $output_count = count($output);
-		for ($i = 0; $i < $output_count; ++$i)
+
+		for ($i = 0; $i < count($output); ++$i)
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
@@ -740,6 +739,6 @@
 
 		$output = $result->GetArray(-1);
-        $output_count = count($output);
-		for ( $i = 0; $i < $output_count; ++$i )
+
+		for ( $i = 0; $i < count($output); ++$i )
 		{
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
@@ -772,6 +771,6 @@
 
 		$output = $result->GetArray( -1 );
-        $output_count = count($output);
-		for ( $i = 0; $i < $output_count; ++$i )
+
+		for ( $i = 0; $i < count($output); ++$i )
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
@@ -809,6 +808,6 @@
 
 		$categoriesCount = array( );
-        $employees_count = count( $employees );
-		for ( $i = 0; $i < $employees_count; ++$i )
+
+		for ( $i = 0; $i < count( $employees ); ++$i )
 		{
 			// remove numeric fields
@@ -882,6 +881,6 @@
 
 		$categoriesCount = array( );
-        $employees_count = count( $employees );
-		for ( $i = 0; $i < $employees_count; ++$i )
+
+		for ( $i = 0; $i < count( $employees ); ++$i )
 		{
 			// remove numeric fields
Index: /trunk/workflow/inc/class.so_external_applications.inc.php
===================================================================
--- /trunk/workflow/inc/class.so_external_applications.inc.php	(revision 7673)
+++ /trunk/workflow/inc/class.so_external_applications.inc.php	(revision 7712)
@@ -148,6 +148,6 @@
 
 		$output = $result->GetArray(-1);
-        $output_count = count($output);
-		for ($i = 0; $i < $output_count; ++$i)
+
+		for ($i = 0; $i < count($output); ++$i)
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
@@ -171,6 +171,6 @@
 
 		$output = $result->GetArray(-1);
-        $output_count = count($output);
-		for ($i = 0; $i < $output_count; ++$i)
+
+		for ($i = 0; $i < count($output); ++$i)
 			for ($j = 0; $j < $result->_numOfFields; ++$j)
 				unset($output[$i][$j]);
Index: /trunk/workflow/inc/class.ui_orgchart.inc.php
===================================================================
--- /trunk/workflow/inc/class.ui_orgchart.inc.php	(revision 7673)
+++ /trunk/workflow/inc/class.ui_orgchart.inc.php	(revision 7712)
@@ -152,6 +152,6 @@
 
 			$ldap = &Factory::getInstance('WorkflowLDAP');
-            $output_count = count($output);
-			for ($i = 0; $i < $output_count; ++$i)
+
+			for ($i = 0; $i < count($output); ++$i)
 			{
 				for ($j = 0; $j < $result->_numOfFields; ++$j)
Index: /trunk/expressoMail1_2/inc/class.message_components.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.message_components.inc.php	(revision 7673)
+++ /trunk/expressoMail1_2/inc/class.message_components.inc.php	(revision 7712)
@@ -107,6 +107,5 @@
                 }
 
-                $parts_count = count($parts);
-                for($p = 0, $i = 1; $p < $parts_count; ++$n, ++$p, ++$i)
+                for($p = 0, $i = 1; $p < count($parts); ++$n, ++$p, ++$i)
                 {
                     // Skip the following...