Index: /trunk/phpgwapi/inc/class.contacts_ldap.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.contacts_ldap.inc.php	(revision 7712)
+++ /trunk/phpgwapi/inc/class.contacts_ldap.inc.php	(revision 7730)
@@ -328,5 +328,6 @@
 				{
 					$i=0;
-					for($i=0;$i<count($filterarray);++$i)
+                    $filterarray_count = count($filterarray);
+					for($i=0;$i<$filterarray_count;++$i)
 					{
 						list($name,$value) = preg_split('/=/',$filterarray[$i]);
Index: /trunk/phpgwapi/inc/class.http.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.http.inc.php	(revision 7673)
+++ /trunk/phpgwapi/inc/class.http.inc.php	(revision 7730)
@@ -291,5 +291,6 @@
 					$headers['Content-length'] = $body_length;
 				}
-				for($host_set=0,Reset($headers),$header=0;$header<count($headers);Next($headers),$header++)
+                $headers_count = count($headers);
+				for($host_set=0,Reset($headers),$header=0;$header<$headers_count;Next($headers),$header++)
 				{
 					$header_name  = Key($headers);
@@ -338,12 +339,12 @@
 								($match == 0 || $domain_pattern[0] == '.' || $this->request_host[$match-1] == '.'))
 							{
-                                $cookies_count = count($this->cookies[0][$domain_pattern]);
-								for(Reset($this->cookies[0][$domain_pattern]),$path_part=0;$path_part<$cookies_count;Next($this->cookies[0][$domain_pattern]),$path_part++)
+                                $cookies_count_domain_pattern = count($this->cookies[0][$domain_pattern]);
+								for(Reset($this->cookies[0][$domain_pattern]),$path_part=0;$path_part<$cookies_count_domain_pattern;Next($this->cookies[0][$domain_pattern]),$path_part++)
 								{
 									$path = Key($this->cookies[0][$domain_pattern]);
 									if(strlen($this->request_uri) >= strlen($path) && substr($this->request_uri,0,strlen($path)) == $path)
 									{
-                                        $cookies_count = count($this->cookies[0][$domain_pattern][$path]);
-										for(Reset($this->cookies[0][$domain_pattern][$path]),$cookie = 0;$cookie<$cookies_count;Next($this->cookies[0][$domain_pattern][$path]),$cookie++)
+                                        $cookies_count_path = count($this->cookies[0][$domain_pattern][$path]);
+										for(Reset($this->cookies[0][$domain_pattern][$path]),$cookie = 0;$cookie<$cookies_count_path;Next($this->cookies[0][$domain_pattern][$path]),$cookie++)
 										{
 											$cookie_name = Key($this->cookies[0][$domain_pattern][$path]);
@@ -528,17 +529,18 @@
 			$now = gmdate('Y-m-d H-i-s');
 			$cookies = array();
-			for($secure_cookies = 0,Reset($this->cookies);$secure_cookies<count($this->cookies);Next($this->cookies),$secure_cookies++)
+            $cookies_count = count($this->cookies);
+			for($secure_cookies = 0,Reset($this->cookies);$secure_cookies<$cookies_count;Next($this->cookies),$secure_cookies++)
 			{
 				$secure = Key($this->cookies);
-                $cookies_count = count($this->cookies[$secure]);
-				for($domain = 0,Reset($this->cookies[$secure]);$domain<$cookies_count;Next($this->cookies[$secure]),$domain++)
+                $cookies_count_secure = count($this->cookies[$secure]);
+				for($domain = 0,Reset($this->cookies[$secure]);$domain<$cookies_count_secure;Next($this->cookies[$secure]),$domain++)
 				{
 					$domain_pattern = Key($this->cookies[$secure]);
-                    $cookies_count = count($this->cookies[$secure][$domain_pattern]);
-					for(Reset($this->cookies[$secure][$domain_pattern]),$path_part=0;$path_part<$cookies_count;Next($this->cookies[$secure][$domain_pattern]),$path_part++)
+                    $cookies_count_domain_pattern = count($this->cookies[$secure][$domain_pattern]);
+					for(Reset($this->cookies[$secure][$domain_pattern]),$path_part=0;$path_part<$cookies_count_domain_pattern;Next($this->cookies[$secure][$domain_pattern]),$path_part++)
 					{
 						$path=Key($this->cookies[$secure][$domain_pattern]);
-                        $cookies_count = count($this->cookies[$secure][$domain_pattern][$path]);
-						for(Reset($this->cookies[$secure][$domain_pattern][$path]),$cookie=0;$cookie<$cookies_count;Next($this->cookies[$secure][$domain_pattern][$path]),$cookie++)
+                        $cookies_count_path = count($this->cookies[$secure][$domain_pattern][$path]);
+						for(Reset($this->cookies[$secure][$domain_pattern][$path]),$cookie=0;$cookie<$cookies_count_path;Next($this->cookies[$secure][$domain_pattern][$path]),$cookie++)
 						{
 							$cookie_name = Key($this->cookies[$secure][$domain_pattern][$path]);
Index: /trunk/reports/inc/class.uireports_logon.inc.php
===================================================================
--- /trunk/reports/inc/class.uireports_logon.inc.php	(revision 7681)
+++ /trunk/reports/inc/class.uireports_logon.inc.php	(revision 7730)
@@ -394,5 +394,5 @@
 		function report_logon_group_setor_print()
 		{
-			$vnumacesso = trim($_POST[nacesso]);
+			$vnumacesso = trim($_POST['nacesso']);
 			$numacesso = abs(round($vnumacesso));
 
Index: /trunk/library/csstidy/class.csstidy_optimise.php
===================================================================
--- /trunk/library/csstidy/class.csstidy_optimise.php	(revision 7712)
+++ /trunk/library/csstidy/class.csstidy_optimise.php	(revision 7730)
@@ -302,5 +302,6 @@
             $color_tmp = substr($color,4,strlen($color)-5);
             $color_tmp = explode(',',$color_tmp);
-            for ( $i = 0; $i < count($color_tmp); ++$i )
+            $color_tmp_count = count($color_tmp);
+            for ( $i = 0; $i < $color_tmp_count; ++$i )
             {
                 $color_tmp[$i] = trim ($color_tmp[$i]);
Index: /trunk/library/PEAR/PEAR/RunTest.php
===================================================================
--- /trunk/library/PEAR/PEAR/RunTest.php	(revision 7655)
+++ /trunk/library/PEAR/PEAR/RunTest.php	(revision 7730)
@@ -656,5 +656,5 @@
             $data .= "
 ---- EXPECTED RETURN
-$section_text[RETURNS]
+{$section_text['RETURNS']}
 ---- ACTUAL RETURN
 $return_value
Index: /trunk/library/PEAR/PEAR/PackageFile/Generator/v1.php
===================================================================
--- /trunk/library/PEAR/PEAR/PackageFile/Generator/v1.php	(revision 7681)
+++ /trunk/library/PEAR/PEAR/PackageFile/Generator/v1.php	(revision 7730)
@@ -202,5 +202,5 @@
         $ret .= "<!DOCTYPE package SYSTEM \"http://pear.php.net/dtd/package-1.0\">\n";
         $ret .= "<package version=\"1.0\" packagerversion=\"1.9.4\">\n" .
-" <name>$pkginfo[package]</name>";
+" <name>{$pkginfo['package']}</name>";
         if (isset($pkginfo['extends'])) {
             $ret .= "\n<extends>{$pkginfo['extends']}</extends>";
Index: /trunk/library/PEAR/PEAR/PackageFile/v2.php
===================================================================
--- /trunk/library/PEAR/PEAR/PackageFile/v2.php	(revision 7673)
+++ /trunk/library/PEAR/PEAR/PackageFile/v2.php	(revision 7730)
@@ -329,9 +329,7 @@
         $mymaintainers = $this->getMaintainers();
         $yourmaintainers = $pf1->getMaintainers();
-        $yourmaintainers_count = count($yourmaintainers);
-        for ($i1 = 0; $i1 < $yourmaintainers_count; ++$i1) {
+        for ($i1 = 0; $i1 < count($yourmaintainers); ++$i1) {
             $reset = false;
-            $mymaintainers_count = count($mymaintainers);
-            for ($i2 = 0; $i2 < $mymaintainers_count; ++$i2) {
+            for ($i2 = 0; $i2 < count($mymaintainers); ++$i2) {
                 if ($mymaintainers[$i2]['handle'] == $yourmaintainers[$i1]['handle']) {
                     if ($mymaintainers[$i2]['role'] != $yourmaintainers[$i1]['role']) {
Index: /trunk/library/PEAR/PEAR/Command/Registry.php
===================================================================
--- /trunk/library/PEAR/PEAR/Command/Registry.php	(revision 7681)
+++ /trunk/library/PEAR/PEAR/Command/Registry.php	(revision 7730)
@@ -985,5 +985,5 @@
                         $info[$infoindex] .= "$type $name";
                         if (isset($package['uri'])) {
-                            $info[$infoindex] .= "\n  Download URI: $package[uri]";
+                            $info[$infoindex] .= "\n  Download URI: {$package['uri']}";
                             continue;
                         }
Index: /trunk/library/PEAR/scripts/pearcmd.php
===================================================================
--- /trunk/library/PEAR/scripts/pearcmd.php	(revision 5146)
+++ /trunk/library/PEAR/scripts/pearcmd.php	(revision 7730)
@@ -337,5 +337,5 @@
         }
         $put .=
-            "Usage: $progname [options] command [command-options] <parameters>\n".
+            "Usage: $progname ['options'] command ['command-options'] <parameters>\n".
             "Type \"$progname help options\" to list all options.\n".
             "Type \"$progname help shortcuts\" to list all command shortcuts.\n".
@@ -385,5 +385,5 @@
     } elseif ($help = PEAR_Command::getHelp($command)) {
         if (is_string($help)) {
-            return "$progname $command [options] $help\n";
+            return "$progname $command ['options'] $help\n";
         }
 
@@ -392,5 +392,5 @@
         }
 
-        return "$progname $command [options] $help[0]\n$help[1]";
+        return "$progname $command ['options'] $help[0]\n$help[1]";
     }
 
Index: /trunk/prototype/plugins/icalcreator/iCalcreator.class.php
===================================================================
--- /trunk/prototype/plugins/icalcreator/iCalcreator.class.php	(revision 7660)
+++ /trunk/prototype/plugins/icalcreator/iCalcreator.class.php	(revision 7730)
@@ -1702,5 +1702,5 @@
     foreach( $rows as $lix => $line ) {
       if(     'BEGIN:VCALENDAR' == strtoupper( substr( $line, 0, 15 ))) {
-        $calsync++;
+          ++$calsync;
         continue;
       }
@@ -1725,17 +1725,17 @@
       elseif( 'BEGIN:VFREEBUSY' == strtoupper( substr( $line, 0, 15 ))) {
         $comp = new vfreebusy( $config );
-        $compsync++;
+          ++$compsync;
       }
       elseif( 'BEGIN:VJOURNAL'  == strtoupper( substr( $line, 0, 14 ))) {
         $comp = new vjournal( $config );
-        $compsync++;
+          ++$compsync;
       }
       elseif( 'BEGIN:VTODO'     == strtoupper( substr( $line, 0, 11 ))) {
         $comp = new vtodo( $config );
-        $compsync++;
+          ++$compsync;
       }
       elseif( 'BEGIN:VTIMEZONE' == strtoupper( substr( $line, 0, 15 ))) {
         $comp = new vtimezone( $config );
-        $compsync++;
+          ++$compsync;
       }
       else { /* update component with unparsed data */
@@ -1769,5 +1769,5 @@
           else
             $propname .= $char;
-          $cix++;
+            ++$cix;
         }
             /* skip non standard property names */
@@ -1814,5 +1814,5 @@
           else
             $attr[$attrix] .= $line[$cix];
-          $cix++;
+            ++$cix;
         }
             /* make attributes in array format */
@@ -1831,10 +1831,10 @@
           while( FALSE !== substr( $line, $lix, 1 )) {
             if(( 0 < $lix ) && ( ',' == $line[$lix] ) && ( "\\" != $line[( $lix - 1 )])) {
-              $cix++;
+                ++$cix;
               $content[$cix] = '';
             }
             else
               $content[$cix] .= $line[$lix];
-            $lix++;
+              ++$lix;
           }
           if( 1 < count( $content )) {
@@ -4372,5 +4372,5 @@
     $length = 6;
     $str    = null;
-    for( $p = 0; $p < $length; $p++ )
+    for( $p = 0; $p < $length; ++$p )
       $unique .= $base{mt_rand( $start, $end )};
     $this->uid = array( 'params' => null );
@@ -4789,5 +4789,5 @@
                 }
                 $content2 .= $content21.$content22;
-                $bydaycnt++;
+                  ++$bydaycnt;
               }
               else {
@@ -4797,5 +4797,5 @@
                 else {
                   $content22 .= $valuePart;
-                  $bydaycnt++;
+                    ++$bydaycnt;
                 }
                 $content2 .= $content21.$content22;
@@ -5366,5 +5366,5 @@
         $ak = ( is_array( $this->attach )) ? array_keys( $this->attach ) : array();
         while( is_array( $this->attach ) && !isset( $this->attach[$propix] ) && ( 0 < count( $this->attach )) && ( $propix < end( $ak )))
-          $propix++;
+            ++$propix;
         $this->propix[$propName] = $propix;
         if( !isset( $this->attach[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
@@ -5374,5 +5374,5 @@
         $ak = ( is_array( $this->attendee )) ? array_keys( $this->attendee ) : array();
         while( is_array( $this->attendee ) && !isset( $this->attendee[$propix] ) && ( 0 < count( $this->attendee )) && ( $propix < end( $ak )))
-          $propix++;
+            ++$propix;
         $this->propix[$propName] = $propix;
         if( !isset( $this->attendee[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
@@ -5382,5 +5382,5 @@
         $ak = ( is_array( $this->categories )) ? array_keys( $this->categories ) : array();
         while( is_array( $this->categories ) && !isset( $this->categories[$propix] ) && ( 0 < count( $this->categories )) && ( $propix < end( $ak )))
-          $propix++;
+            ++$propix;
         $this->propix[$propName] = $propix;
         if( !isset( $this->categories[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
@@ -5393,5 +5393,5 @@
         $ak = ( is_array( $this->comment )) ? array_keys( $this->comment ) : array();
         while( is_array( $this->comment ) && !isset( $this->comment[$propix] ) && ( 0 < count( $this->comment )) && ( $propix < end( $ak )))
-          $propix++;
+            ++$propix;
         $this->propix[$propName] = $propix;
         if( !isset( $this->comment[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
@@ -5404,5 +5404,5 @@
         $ak = ( is_array( $this->contact )) ? array_keys( $this->contact ) : array();
         while( is_array( $this->contact ) && !isset( $this->contact[$propix] ) && ( 0 < count( $this->contact )) && ( $propix < end( $ak )))
-          $propix++;
+            ++$propix;
         $this->propix[$propName] = $propix;
         if( !isset( $this->contact[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
@@ -5415,5 +5415,5 @@
         $ak = ( is_array( $this->description )) ? array_keys( $this->description ) : array();
         while( is_array( $this->description ) && !isset( $this->description[$propix] ) && ( 0 < count( $this->description )) && ( $propix < end( $ak )))
-          $propix++;
+            ++$propix;
         $this->propix[$propName] = $propix;
         if( !isset( $this->description[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
@@ -5444,5 +5444,5 @@
         $ak = ( is_array( $this->exdate )) ? array_keys( $this->exdate ) : array();
         while( is_array( $this->exdate ) && !isset( $this->exdate[$propix] ) && ( 0 < count( $this->exdate )) && ( $propix < end( $ak )))
-          $propix++;
+            ++$propix;
         $this->propix[$propName] = $propix;
         if( !isset( $this->exdate[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
@@ -5452,5 +5452,5 @@
         $ak = ( is_array( $this->exrule )) ? array_keys( $this->exrule ) : array();
         while( is_array( $this->exrule ) && !isset( $this->exrule[$propix] ) && ( 0 < count( $this->exrule )) && ( $propix < end( $ak )))
-          $propix++;
+            ++$propix;
         $this->propix[$propName] = $propix;
         if( !isset( $this->exrule[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
@@ -5460,5 +5460,5 @@
         $ak = ( is_array( $this->freebusy )) ? array_keys( $this->freebusy ) : array();
         while( is_array( $this->freebusy ) && !isset( $this->freebusy[$propix] ) && ( 0 < count( $this->freebusy )) && ( $propix < end( $ak )))
-          $propix++;
+            ++$propix;
         $this->propix[$propName] = $propix;
         if( !isset( $this->freebusy[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
@@ -5486,5 +5486,5 @@
         $ak = ( is_array( $this->rdate )) ? array_keys( $this->rdate ) : array();
         while( is_array( $this->rdate ) && !isset( $this->rdate[$propix] ) && ( 0 < count( $this->rdate )) && ( $propix < end( $ak )))
-          $propix++;
+            ++$propix;
         $this->propix[$propName] = $propix;
         if( !isset( $this->rdate[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
@@ -5497,5 +5497,5 @@
         $ak = ( is_array( $this->relatedto )) ? array_keys( $this->relatedto ) : array();
         while( is_array( $this->relatedto ) && !isset( $this->relatedto[$propix] ) && ( 0 < count( $this->relatedto )) && ( $propix < end( $ak )))
-          $propix++;
+            ++$propix;
         $this->propix[$propName] = $propix;
         if( !isset( $this->relatedto[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
@@ -5508,5 +5508,5 @@
         $ak = ( is_array( $this->requeststatus )) ? array_keys( $this->requeststatus ) : array();
         while( is_array( $this->requeststatus ) && !isset( $this->requeststatus[$propix] ) && ( 0 < count( $this->requeststatus )) && ( $propix < end( $ak )))
-          $propix++;
+            ++$propix;
         $this->propix[$propName] = $propix;
         if( !isset( $this->requeststatus[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
@@ -5516,5 +5516,5 @@
         $ak = ( is_array( $this->resources )) ? array_keys( $this->resources ) : array();
         while( is_array( $this->resources ) && !isset( $this->resources[$propix] ) && ( 0 < count( $this->resources )) && ( $propix < end( $ak )))
-          $propix++;
+            ++$propix;
         $this->propix[$propName] = $propix;
         if( !isset( $this->resources[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
@@ -5524,5 +5524,5 @@
         $ak = ( is_array( $this->rrule )) ? array_keys( $this->rrule ) : array();
         while( is_array( $this->rrule ) && !isset( $this->rrule[$propix] ) && ( 0 < count( $this->rrule )) && ( $propix < end( $ak )))
-          $propix++;
+            ++$propix;
         $this->propix[$propName] = $propix;
         if( !isset( $this->rrule[$propix] )) { unset( $this->propix[$propName] ); return FALSE; }
@@ -5676,5 +5676,5 @@
       return FALSE;
     $arglist[0] = strtoupper( $arglist[0] );
-    for( $argix=$numargs; $argix < 12; $argix++ ) {
+    for( $argix=$numargs; $argix < 12; ++$argix ) {
       if( !isset( $arglist[$argix] ))
         $arglist[$argix] = null;
@@ -5830,16 +5830,16 @@
       elseif( 'BEGIN:VALARM'   == strtoupper( substr( $line, 0, 12 ))) {
         $comp = new valarm( $config);
-        $subsync++;
+          ++$subsync;
       }
       elseif( 'BEGIN:STANDARD' == strtoupper( substr( $line, 0, 14 ))) {
         $comp = new vtimezone( 'standard', $config );
-        $subsync++;
+          ++$subsync;
       }
       elseif( 'BEGIN:DAYLIGHT' == strtoupper( substr( $line, 0, 14 ))) {
         $comp = new vtimezone( 'daylight', $config );
-        $subsync++;
+          ++$subsync;
       }
       elseif( 'BEGIN:'         == strtoupper( substr( $line, 0, 6 )))  // begin:<component>
-        $compsync++;
+          ++$compsync;
       else
         $comp->unparsed[]       = $line;
@@ -5918,5 +5918,5 @@
             break;
           }
-          $cix++;
+            ++$cix;
         }
         if( '"' == $line[$cix] )
@@ -5926,5 +5926,5 @@
         else
           $attr[$attrix] .= $line[$cix];
-        $cix++;
+          ++$cix;
       }
             /* make attributes in array format */
@@ -5959,10 +5959,10 @@
             while( FALSE !== substr( $line, $lix, 1 )) {
               if(( ',' == $line[$lix] ) && ( "\\" != $line[( $lix - 1 )])) {
-                $cix++;
+                  ++$cix;
                 $content[$cix] = '';
               }
               else
                 $content[$cix] .= $line[$lix];
-              $lix++;
+                ++$lix;
             }
             if( 1 < count( $content )) {
@@ -6159,5 +6159,5 @@
           return TRUE;
         }
-        $cix2dC++;
+          ++$cix2dC;
       }
       elseif( !$argType && ($arg1 == $component->getProperty( 'uid' ))) {
@@ -6210,5 +6210,5 @@
          if( $index == $cix2gC )
            return $component->copy();
-         $cix2gC++;
+          ++$cix2gC;
       }
       elseif( !$argType && ( $arg1 == $component->getProperty( 'uid' )))
@@ -6303,5 +6303,5 @@
           return TRUE;
         }
-        $cix2sC++;
+          ++$cix2sC;
       }
       elseif( !$argType && ( $arg1 == $component2->getProperty( 'uid' ))) { // UID insert/replace
@@ -9144,5 +9144,5 @@
         }
         $name[$k]  .= $char;
-        $x++;
+          ++$x;
       }
     }
Index: /trunk/prototype/config/OpenLDAP.srv
===================================================================
--- /trunk/prototype/config/OpenLDAP.srv	(revision 7620)
+++ /trunk/prototype/config/OpenLDAP.srv	(revision 7730)
@@ -4,6 +4,7 @@
 idAtribute = "uidNumber"
 host = 127.0.0.1
-context = "LDAP_DN"
-; Caso o LDAP requisite autenticacao, configure os parametros a seguir
-;user = 
-;password = 
+
+context = "dc=prognus"
+user = "cn=admin,dc=prognus"
+password = "prognus"
+
Index: /trunk/prototype/config/PostgreSQL.srv
===================================================================
--- /trunk/prototype/config/PostgreSQL.srv	(revision 7552)
+++ /trunk/prototype/config/PostgreSQL.srv	(revision 7730)
@@ -7,6 +7,6 @@
 ;host = 127.0.0.1
 port = 5432
-dbname = expresso
-user = postgres
+dbname = expresso24marcieli
+user = expressodev
 ; Caso o usuario tenha senha...
-;password=
+password=prognus
Index: /trunk/calendar/inc/class.bocalendar.inc.php
===================================================================
--- /trunk/calendar/inc/class.bocalendar.inc.php	(revision 7712)
+++ /trunk/calendar/inc/class.bocalendar.inc.php	(revision 7730)
@@ -2871,6 +2871,6 @@
 			//verifica se todos os participantes rejeitaram o evento
 			for($i = 0; $i < count($sts); ++$i ){
-				if( $sts[i] === "R")
-					unset( $sts[i] );
+				if( $sts[$i] === "R")
+					unset( $sts[$i] );
 			}
 			
@@ -3667,9 +3667,9 @@
 														$varbuttom3 = "<form action=".$GLOBALS['phpgw_info']['server']['webserver_url']."/index.php?menuaction=calendar.uialarm.manager method='POST'>
 																		  		  <input type='submit' value='$lang4'>
-																		  		  <input type='hidden' name='cal_id' value=$event[id]>
+																		  		  <input type='hidden' name='cal_id' value={$event['id']}>
 																		  		   </form>";
 																				   
 														$lang5 = lang("Suggest new hour"); 
-														$varbuttom4 = "<form action=".$GLOBALS['phpgw_info']['server']['webserver_url']."/index.php?menuaction=calendar.uicalendar.view&cal_id=$event[id]&date=$newall3&type=1' method='POST'>
+														$varbuttom4 = "<form action=".$GLOBALS['phpgw_info']['server']['webserver_url']."/index.php?menuaction=calendar.uicalendar.view&cal_id={$event['id']}&date=$newall3&type=1' method='POST'>
 																		  		  <input type='submit' value='$lang5'>
 																		  		   </form>";
@@ -4083,5 +4083,5 @@
 				$to_notify = $event['participants'];
 			}
-			elseif ($this->check_perms(PHPGW_ACL_READ,$event))	// checks agains $this->owner set to $alarm[owner]
+			elseif ($this->check_perms(PHPGW_ACL_READ,$event))	// checks agains $this->owner set to $alarm['owner']
 			{
 				$to_notify[$alarm['owner']] = 'A';
@@ -4271,5 +4271,5 @@
 				$event['owner'] != $this->owner &&
 				$event['participants'][$this->owner] == 'R';
-			//echo "<p>rejected_no_show($event[title])='$ret': user=$this->owner, event-owner=$event[owner], status='".$event['participants'][$this->owner]."', show_rejected='".$this->prefs['calendar']['show_rejected']."'</p>\n";
+			//echo "<p>rejected_no_show($event['title'])='$ret': user=$this->owner, event-owner=$event['owner'], status='".$event['participants'][$this->owner]."', show_rejected='".$this->prefs['calendar']['show_rejected']."'</p>\n";
 			return $ret;
 		}
Index: /trunk/calendar/inc/class.uicalendar.inc.php
===================================================================
--- /trunk/calendar/inc/class.uicalendar.inc.php	(revision 7712)
+++ /trunk/calendar/inc/class.uicalendar.inc.php	(revision 7730)
@@ -5755,5 +5755,6 @@
 			if ($control_data['action'] == lang('Delete selected contacts'))
 			{
-				for ($i=0; $i<count($control_data['delete']); ++$i)
+                $control_data_count = count($control_data['delete']);
+				for ($i=0; $i<$control_data_count; ++$i)
 				{
 					$id = $control_data['delete'][$i];
Index: /trunk/calendar/inc/class.boholiday.inc.php
===================================================================
--- /trunk/calendar/inc/class.boholiday.inc.php	(revision 7712)
+++ /trunk/calendar/inc/class.boholiday.inc.php	(revision 7730)
@@ -387,5 +387,6 @@
 
 			$temp_locale = $GLOBALS['phpgw_info']['user']['preferences']['common']['country'];
-			for($i=0;$i<count($holidays);++$i)
+            $holidays_count = count($holidays);
+			for($i=0;$i<$holidays_count;++$i)
 			{
 				$c = $i;
@@ -442,5 +443,5 @@
 			else
 			{
-				$str = $GLOBALS['phpgw']->common->dateformatorder($holiday['occurence']>1900?$holiday['occurence']:'',$month,$holiday[day]);
+				$str = $GLOBALS['phpgw']->common->dateformatorder($holiday['occurence']>1900?$holiday['occurence']:'',$month,$holiday['day']);
 			}
 			if ($holiday['observance_rule'])
Index: /trunk/calendar/templates/classic/header.inc.php
===================================================================
--- /trunk/calendar/templates/classic/header.inc.php	(revision 7655)
+++ /trunk/calendar/templates/classic/header.inc.php	(revision 7730)
@@ -105,5 +105,6 @@
 		if(isset($GLOBALS['HTTP_POST_VARS']['participants']) && $GLOBALS['HTTP_POST_VARS']['participants'])
 		{
-			for ($i=0;$i<count($GLOBALS['HTTP_POST_VARS']['participants']);++$i)
+            $globals_count = count($GLOBALS['HTTP_POST_VARS']['participants']);
+			for ($i=0;$i<$globals_count;++$i)
 			{
 				$base_hidden_vars .= '    <input type="hidden" name="participants[]" value="'.$GLOBALS['HTTP_POST_VARS']['participants'][$i].'">'."\n";
Index: /trunk/workflow/inc/class.so_userinterface.inc.php
===================================================================
--- /trunk/workflow/inc/class.so_userinterface.inc.php	(revision 7712)
+++ /trunk/workflow/inc/class.so_userinterface.inc.php	(revision 7730)
@@ -401,5 +401,5 @@
 		$cachedLDAP->setOperationMode($cachedLDAP->OPERATION_MODE_NORMAL);
 
-		for ($i = 0; $i < ount($employees); ++$i)
+		for ($i = 0; $i < count($employees); ++$i)
 		{
 			/* remove numeric fields */
Index: /trunk/workflow/inc/phplot/phplot.php
===================================================================
--- /trunk/workflow/inc/phplot/phplot.php	(revision 7655)
+++ /trunk/workflow/inc/phplot/phplot.php	(revision 7730)
@@ -3906,5 +3906,5 @@
             // Draw the bars
             $oldv = 0;
-            for ($idx = 0; $record < $this->num_recs[$row]; $record++, ++$idx) {
+            for ($idx = 0; $record < $this->num_recs[$row]; ++$record, ++$idx) {
                 if (is_numeric($this->data[$row][$record])) {       // Allow for missing Y data
 
Index: /trunk/expressoMail1_2/inc/class.message_components.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.message_components.inc.php	(revision 7712)
+++ /trunk/expressoMail1_2/inc/class.message_components.inc.php	(revision 7730)
@@ -107,5 +107,6 @@
                 }
 
-                for($p = 0, $i = 1; $p < count($parts); ++$n, ++$p, ++$i)
+                $parts_count = count($parts);
+                for($p = 0, $i = 1; $p < $parts_count; ++$n, ++$p, ++$i)
                 {
                     // Skip the following...